# List roll calls

Full-Council roll calls on key legislation.

`GET https://www.chicagopolitics.org/api/v1/roll-calls`

## Authorizations

| Header | Value |
| --- | --- |
| `Authorization` | `Bearer <key>`. [Get a key](https://www.chicagopolitics.org/account); see [authentication](https://www.chicagopolitics.org/developers/authentication). |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `divided` | boolean |  |  |
| `result` | string |  | One of: `passed`, `failed`. |
| `q` | string |  |  |
| `from` | string (date) |  |  |
| `to` | string (date) |  |  |
| `sort` | string |  | One of: `newest`, `oldest`. |
| `limit` | integer |  | Default `50`. |
| `cursor` | string |  | From meta.nextCursor of the previous page. |

## Response

200 Roll calls: a list in `data`, with `meta` and `links` (see [pagination](https://www.chicagopolitics.org/developers/requests)).

| Field | Type | Description |
| --- | --- | --- |
| `matterId` | string |  |
| `record` | string |  |
| `title` | string |  |
| `nickname` | string \| null |  |
| `type` | string |  |
| `date` | string (date) |  |
| `result` | string |  |
| `passed` | boolean |  |
| `divided` | boolean |  |
| `tally` | object |  |
| `sponsor` | string \| null |  |
| `committee` | string \| null |  |
| `meetingId` | string \| null |  |
| `memberVote` | string |  |
| `links` | object |  |

## Example request

```bash
curl "https://www.chicagopolitics.org/api/v1/roll-calls" \
  -H "Authorization: Bearer $CHICAGO_POLITICS_KEY"
```

Errors: `400`, `401`, `429` (see [errors](https://www.chicagopolitics.org/developers/errors)).

---
Source: https://www.chicagopolitics.org/developers/api/list-roll-calls · Chicago Politics, an independent, nonpartisan tracker of the Chicago City Council. Guide for agents: https://www.chicagopolitics.org/llms.txt
